%define pkg_name        Class-DBI-Loader-Relationship
%define pkg_version     1.2
%define rpm_pkg_version 1.2
%define rpm_pkg_release 2.n0i.2

Summary:       Easier relationship specification in CDBI/Loader
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SI/SIMON/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Class::DBI::Loader)
BuildRequires: perl(Lingua::EN::Inflect::Number) >= 1
%endif


%description
This module acts as a mix-in, adding the "relationship" method to
Class::DBI::Loader. Since Class::DBI::Loader knows how to map between table
names and class names, there ought to be no need to replicate the names. In
addition, it is common (but not universal) to want reverse relationships
defined for has-many relationships, and for has-a relationships to be defined
for the linkages surrounding a many-to-many table. The aim of
CDBIL::Relationship is to simplify the declaration of common database
relationships by providing both of these features.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.2-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.2-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
